Preview Resolved Defaults
curl --request POST \
--url https://api.royalti.io/defaultsettings/preview/resolve \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"artistId": "660e8400-e29b-41d4-a716-446655440001",
"labelId": "770e8400-e29b-41d4-a716-446655440002",
"targetType": "release"
}
'import requests
url = "https://api.royalti.io/defaultsettings/preview/resolve"
payload = {
"artistId": "660e8400-e29b-41d4-a716-446655440001",
"labelId": "770e8400-e29b-41d4-a716-446655440002",
"targetType": "release"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
artistId: '660e8400-e29b-41d4-a716-446655440001',
labelId: '770e8400-e29b-41d4-a716-446655440002',
targetType: 'release'
})
};
fetch('https://api.royalti.io/defaultsettings/preview/resolve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Defaults resolved successfully",
"data": {
"resolved": {
"content": {
"version": "<string>",
"language": "<string>",
"mainGenre": [
"<string>"
],
"subGenre": [
"<string>"
],
"contributors": {}
},
"business": {
"label": "<string>",
"copyright": "<string>",
"publisher": "<string>",
"copyrightOwner": "<string>",
"distribution": "<string>"
},
"ddex": {
"enableDDEX": true,
"labelName": "<string>",
"resourceReference": "<string>",
"grid": "<string>",
"icpn": "<string>"
},
"validation": {
"requireGenre": true,
"requireLyrics": true,
"requireDescription": true,
"minimumTrackCount": 1,
"maximumTrackCount": 2
}
},
"chain": [
{
"entityType": "<string>",
"entityId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"category": "<string>",
"settings": {
"content": {
"version": "<string>",
"language": "<string>",
"mainGenre": [
"<string>"
],
"subGenre": [
"<string>"
],
"contributors": {}
},
"business": {
"label": "<string>",
"copyright": "<string>",
"publisher": "<string>",
"copyrightOwner": "<string>",
"distribution": "<string>"
},
"ddex": {
"enableDDEX": true,
"labelName": "<string>",
"resourceReference": "<string>",
"grid": "<string>",
"icpn": "<string>"
},
"validation": {
"requireGenre": true,
"requireLyrics": true,
"requireDescription": true,
"minimumTrackCount": 1,
"maximumTrackCount": 2
}
},
"priority": 123
}
]
}
}{
"status": "error",
"message": "Invalid request parameters"
}{
"status": "error",
"message": "Unauthorized"
}{
"status": "error",
"message": "Internal server error"
}Default Settings
Preview Resolved Defaults
POST /defaultsettings/preview/resolve
POST
/
defaultsettings
/
preview
/
resolve
Preview Resolved Defaults
Description
POST /defaultsettings/preview/resolve Description: Preview how defaults will be resolved through the inheritance chain for a given context (user, artist, label). This endpoint doesn’t modify any data. Authorization:- Required role:
useror higher
POST
Request Body:
| Parameter | Type | Description | Required |
|---|---|---|---|
| labelId | uuid | Label context | No |
| artistId | uuid | Artist context | No |
| userId | uuid | User context (defaults to authenticated user) | No |
| targetType | string | Target type (asset, product, release) | No |
Code Examples
const response = await fetch('https://api.royalti.io/defaultsettings/preview/resolve', {
method: 'POST',
headers: {
'Content-Type': 'application/json'
},
body: JSON.stringify({
"labelId": "sample-labelId",
"artistId": "sample-artistId",
"userId": "sample-userId",
"targetType": "sample-targetType"
})
});
const data = await response.json();
console.log(data);
import requests
response = requests.post(
'https://api.royalti.io/defaultsettings/preview/resolve',
json={"labelId":"sample-labelId","artistId":"sample-artistId","userId":"sample-userId","targetType":"sample-targetType"}
)
data = response.json()
print(data)
curl -X POST https://api.royalti.io/defaultsettings/preview/resolve \
-H "Content-Type: application/json" \
-d '{"labelId":"sample-labelId","artistId":"sample-artistId","userId":"sample-userId","targetType":"sample-targetType"}'
Authorizations
JWT Authorization header using the Bearer scheme. Format: "Bearer {token}"
Body
application/json
⌘I